//: C07:DequeOverflow.cpp {-bor}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Deque je mnohem efektivnějsí než vector, když 
// se na konec vkládá mnoho prvků, jelikož nevyžaduje 
// kopírování a rušení
//{L} Noisy
#include <cstdlib>
#include <deque>
#include "Noisy.h"
using namespace std;

int main(int argc, char* argv[]) {
  int velikost = 1000;
  if(argc >= 2) velikost = atoi(argv[1]);
  deque<Noisy> dn;
  Noisy n;
  for(int i = 0; i < velikost; i++)
    dn.push_back(n);
  cout << "\n úklid " << endl;
} ///:~
